<template>
  <main id="faq" itemscope itemtype="https://schema.org/FAQPage">
    <div class="jpt-container">

      <div class="title-block">
        <h1>
          <strong>{{ $gettext('Frequently Asked Questions') }}</strong>
        </h1>

        <div class="small-separator"></div>

        <p class="explanation">
          {{ $gettext('A few questions to discover PeerTube') }}

          <br />

          <SafeHTML>
            {{ $gettext('You can also go on the <a href="https://framacolibri.org/c/peertube" target="_blank" rel="noopener noreferrer">forum</a> to discuss with the community.', true) }}
          </SafeHTML>
        </p>
      </div>

      <div class="jpt-accordion" role="tablist">
        <h2 class="text-center">
          <strong>{{ $gettext('PeerTube Presentation') }}</strong>
        </h2>
        <div class="mx-auto small-separator"></div>

        <FAQWhatIsPeerTube></FAQWhatIsPeerTube>
        <FAQAdvantages></FAQAdvantages>
        <FAQWhoIsWorking></FAQWhoIsWorking>
        <FAQPeerTubeNeutrality></FAQPeerTubeNeutrality>
        <FAQPurpose></FAQPurpose>
        <FAQTrademark></FAQTrademark>
        <FAQPeerTubeName></FAQPeerTubeName>
        <FAQSepiaName></FAQSepiaName>
        <FAQWebBrowsersSupport></FAQWebBrowsersSupport>
        <FAQMobileApplication></FAQMobileApplication>
        <FAQEnvironmentalImpact></FAQEnvironmentalImpact>
      </div>

      <div class="jpt-accordion" role="tablist">
        <h2 class="text-center">
          <strong>{{ $gettext('I want to watch videos') }}</strong>
        </h2>
        <div class="mx-auto small-separator"></div>

        <FAQFeaturesViewer></FAQFeaturesViewer>
        <FAQBadVideosUpload></FAQBadVideosUpload>
        <FAQManyBadVideos></FAQManyBadVideos>
        <FAQReportContent></FAQReportContent>
        <FAQViewsCounter></FAQViewsCounter>
      </div>

      <div class="jpt-accordion" role="tablist">
        <h2 class="text-center">
          <strong>{{ $gettext('I want to upload videos') }}</strong>
        </h2>
        <div class="mx-auto small-separator"></div>

        <FAQFeaturesContentCreator></FAQFeaturesContentCreator>
        <FAQUploadIllegalStuff></FAQUploadIllegalStuff>
        <FAQMonetization></FAQMonetization>
      </div>

      <div class="jpt-accordion" role="tablist">
        <h2 class="text-center">
          <strong>{{ $gettext('I want to administer a PeerTube platform') }}</strong>
        </h2>
        <div class="mx-auto small-separator"></div>

        <FAQFeaturesAdministrator></FAQFeaturesAdministrator>
        <FAQHowInstall></FAQHowInstall>
        <FAQServerHardware></FAQServerHardware>
        <FAQHorizontalScaling></FAQHorizontalScaling>
        <FAQReleasePolicy></FAQReleasePolicy>
        <FAQFederationCompatibility></FAQFederationCompatibility>
        <FAQToolsNeeded></FAQToolsNeeded>
        <FAQModerationTools></FAQModerationTools>
        <FAQGDPR></FAQGDPR>
        <FAQInstanceOnSepiaSearch></FAQInstanceOnSepiaSearch>
      </div>

      <div class="jpt-accordion" role="tablist">
        <h2 class="text-center">
          <strong>{{ $gettext('I contribute to the source code') }}</strong>
        </h2>
        <div class="mx-auto small-separator"></div>

        <FAQFeaturesDeveloper></FAQFeaturesDeveloper>
        <FAQProtocolsChoice></FAQProtocolsChoice>
        <FAQGithub></FAQGithub>
        <FAQSecurity></FAQSecurity>
      </div>

    </div>
  </main>
</template>

<script>
  import { defineComponent } from 'vue'

  import { useHead } from '@vueuse/head'
  import { useGettext } from 'vue3-gettext'

  import FAQWhatIsPeerTube from '../components/faq/common/FAQWhatIsPeerTube.vue'
  import FAQAdvantages from '../components/faq/common/FAQAdvantages.vue'
  import FAQWhoIsWorking from '../components/faq/common/FAQWhoIsWorking.vue'
  import FAQPeerTubeNeutrality from '../components/faq/common/FAQPeerTubeNeutrality.vue'
  import FAQPurpose from '../components/faq/common/FAQPurpose.vue'
  import FAQTrademark from '../components/faq/common/FAQTrademark.vue'
  import FAQPeerTubeName from '../components/faq/common/FAQPeerTubeName.vue'
  import FAQSepiaName from '../components/faq/common/FAQSepiaName.vue'
  import FAQWebBrowsersSupport from '../components/faq/common/FAQWebBrowsersSupport.vue'
  import FAQMobileApplication from '../components/faq/common/FAQMobileApplication.vue'
  import FAQEnvironmentalImpact from '../components/faq/common/FAQEnvironmentalImpact.vue'

  import FAQFeaturesViewer from '../components/faq/viewers/FAQFeaturesViewer.vue'
  import FAQBadVideosUpload from '../components/faq/viewers/FAQBadVideosUpload.vue'
  import FAQManyBadVideos from '../components/faq/viewers/FAQManyBadVideos.vue'
  import FAQReportContent from '../components/faq/viewers/FAQReportContent.vue'
  import FAQViewsCounter from '../components/faq/viewers/FAQViewsCounter.vue'

  import FAQFeaturesContentCreator from '../components/faq/uploaders/FAQFeaturesContentCreator.vue'
  import FAQUploadIllegalStuff from '../components/faq/uploaders/FAQUploadIllegalStuff.vue'
  import FAQMonetization from '../components/faq/uploaders/FAQMonetization.vue'

  import FAQFeaturesAdministrator from '../components/faq/administrators/FAQFeaturesAdministrator.vue'
  import FAQHowInstall from '../components/faq/administrators/FAQHowInstall.vue'
  import FAQServerHardware from '../components/faq/administrators/FAQServerHardware.vue'
  import FAQHorizontalScaling from '../components/faq/administrators/FAQHorizontalScaling.vue'
  import FAQReleasePolicy from '../components/faq/administrators/FAQReleasePolicy.vue'
  import FAQFederationCompatibility from '../components/faq/administrators/FAQFederationCompatibility.vue'
  import FAQToolsNeeded from '../components/faq/administrators/FAQToolsNeeded.vue'
  import FAQModerationTools from '../components/faq/administrators/FAQModerationTools.vue'
  import FAQGDPR from '../components/faq/administrators/FAQGDPR.vue'
  import FAQInstanceOnSepiaSearch from '../components/faq/administrators/FAQInstanceOnSepiaSearch.vue'

  import FAQFeaturesDeveloper from '../components/faq/developers/FAQFeaturesDeveloper.vue'
  import FAQProtocolsChoice from '../components/faq/developers/FAQProtocolsChoice.vue'
  import FAQGithub from '../components/faq/developers/FAQGithub.vue'
  import FAQSecurity from '../components/faq/developers/FAQSecurity.vue'

  import { buildHead } from '../shared/head'

  export default defineComponent({
    components: {
      FAQWhatIsPeerTube,
      FAQAdvantages,
      FAQWhoIsWorking,
      FAQPeerTubeNeutrality,
      FAQPurpose,
      FAQTrademark,
      FAQPeerTubeName,
      FAQSepiaName,
      FAQWebBrowsersSupport,
      FAQMobileApplication,
      FAQEnvironmentalImpact,

      FAQFeaturesViewer,
      FAQBadVideosUpload,
      FAQManyBadVideos,
      FAQReportContent,
      FAQViewsCounter,

      FAQFeaturesContentCreator,
      FAQUploadIllegalStuff,
      FAQMonetization,

      FAQFeaturesAdministrator,
      FAQHowInstall,
      FAQServerHardware,
      FAQHorizontalScaling,
      FAQReleasePolicy,
      FAQFederationCompatibility,
      FAQToolsNeeded,
      FAQModerationTools,
      FAQGDPR,
      FAQInstanceOnSepiaSearch,

      FAQFeaturesDeveloper,
      FAQProtocolsChoice,
      FAQGithub,
      FAQSecurity
    },

    setup () {
      const { $gettext } = useGettext()

      return useHead(buildHead({
        title: $gettext('FAQ'),

        url: import.meta.env.VITE_URL + '/faq'
      }))
    }
  })
</script>

<style lang="scss" scoped>
  @import '../scss/_variables.scss';

  #faq {
    .jpt-accordion {
      margin-top: 3rem;
    }
  }
</style>

<style lang="scss">
  @import '../scss/_variables.scss';

  #faq .jpt-accordion .card-text ul.multi > li {
    margin-top: 0.5rem;
  }
</style>
